XMLContext (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg.annotations.reflection
Class XMLContext

    java.lang.Object
      org.hibernate.cfg.annotations.reflection.XMLContext

All Implemented Interfaces:
  Serializable

    public class XMLContext

extends Object
implements Serializable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `XMLContext.Default`

Constructor Summary
`XMLContext()`

Method Summary
`List<String>` | `addDocument(org.dom4j.Document doc)`
`static String` | `buildSafeClassName(String className, String defaultPackageName)`
`static String` | `buildSafeClassName(String className, XMLContext.Default defaults)`
`List<org.dom4j.Element>` | `getAllDocuments()`
`XMLContext.Default` | `getDefault(String className)`
`List<String>` | `getDefaultEntityListeners()`
`org.dom4j.Element` | `getXMLTree(String className)`
`boolean` | `hasContext()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLContext

    public XMLContext()

Method Detail

### addDocument

    public List<String> addDocument(org.dom4j.Document doc)

  Parameters:
    `doc` - The xml document to add
  Returns:
    Add a xml document to this context and return the list of added class names.

### buildSafeClassName

    public static String buildSafeClassName(String className,
                                            String defaultPackageName)

### buildSafeClassName

    public static String buildSafeClassName(String className,
                                            XMLContext.Default defaults)

### getDefault

    public XMLContext.Default getDefault(String className)

### getXMLTree

    public org.dom4j.Element getXMLTree(String className)

### getAllDocuments

    public List<org.dom4j.Element> getAllDocuments()

### hasContext

    public boolean hasContext()

### getDefaultEntityListeners

    public List<String> getDefaultEntityListeners()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.